{% extends "base.html" %}
{% block page-style%}
<style>
</style>
{% endblock %}

{%block title%}
Wikilist - Edit Contact
{%endblock%}

{%block content%}
<div class="ui container fluid">
    <form class="ui form {%if error%}error{%endif%} {%if success%}success{%endif%}" action="/contacts/{%if contact.id%}{{contact.id}}{%else%}new{%endif%}" method="POST">
        {% csrf-field %}
        <h4 class="ui dividing header">Organization information</h4>
        <div class="two fields">
            <div class="required field {%if error.category%}error{%endif%}">
                <label>Category</label>
                <select name="category" class="ui fluid search dropdown" id="category">
                    <option value="">Select a category</option>
                    {%for i in categories%}
                    <option value="{{i.name}}" {%ifequal i.name contact.category%}selected{%endifequal%}>{{i.name}}</option>
                    {%endfor%}
                </select>
            </div>

            <div class="required field {%if error.organization%}error{%endif%}">
                <label>Organization</label>
                <select name="organization" class="ui fluid search dropdown" id="organization">
                    <option value="">Select an organization</option>
                    {%for i in orgs%}
                    <option value="{{i.name}}" {%ifequal i.name contact.organization%}selected{%endifequal%}>{{i.name}}</option>
                    {%endfor%}
                </select>
            </div>
        </div>
        <div class="two fields">
            <div class="field {%if error.address%}error{%endif%}">
                <label>Address</label>
                <textarea name="address" placeholder="Enter new address">{{contact.address}}</textarea>
            </div>
            <div class="field {%if error.location%}error{%endif%}">
                <label>Location</label>
                <input name="location" placeholder="Enter new location" type="text" value="{{contact.location}}">
            </div>
        </div>
        <div class="field {%if error.website%}error{%endif%}">
            <label>Website</label>
            <input name="website" placeholder="http://example.com" type="text" value="{{contact.website}}">
        </div>




        <h4 class="ui dividing header">Contact information</h4>

        <div class="field {%if error.name%}error{%endif%}">
            <label>Contact</label>
            <input name="contact" placeholder="Contact" type="text" value="{{contact.contact}}">
        </div>

        <div class="field {%if error.department%}error{%endif%}">
            <label>Department</label>
            <input name="department" placeholder="Enter new department" type="text" value="{{contact.department}}">
        </div>


        <div class="field {%if error.email%}error{%endif%}">
            <label>Email</label>
            <input name="email" placeholder="example@example.com" type="email" value="{{contact.email}}">
        </div>
        <div class="field {%if error.phone%}error{%endif%}">
            <label>Phone</label>
            <input name="phone" placeholder="94 456 789" type="text" value="{{contact.phone}}">
        </div>

        <h4 class="ui dividing header">Additional information</h4>
        <div class="field">
            <label>Languages</label>
            <select name="languages" id="languages" class="ui fluid multiple search dropdown {%if error.language%}error{%endif%}" multiple="">
                <option value="">Select languages</option>
                {%for lang in languages %}
                        <option value="{{lang.id}}"
                            {% for l in contact.languages %}
                            {%ifequal l lang.id%}selected{%endifequal%}
                            {% endfor %}
                        >{{lang.language}}</option>
                {%endfor%}
            </select>
        </div>

        <div class="field {%if error.notes%}error{%endif%}">
            <label>Notes</label>
            <textarea name="notes" placeholder="Notes">{{contact.notes}}</textarea>
        </div>

        {%if error%}
            <div class="ui error message">
                <div class="header">Errors occurred</div>
                <ul>
                {% for key,value in error %}
                    <li>{{value}}</li>
                {% endfor %}
                </ul>
            </div>
        {%endif%}

        {% if success %}
            <div class="ui success message">
                <div class="header">Success</div>
                <p>{{success}}</p>
            </div>
        {% endif %}
        <button class="ui button" type="submit">Submit</button>
    </form>
</div>
{%endblock content%}

{% block page-scripts %}
<script>
$('.ui.dropdown#category')
  .dropdown({
    allowAdditions: true,
    selectOnKeyDown: false,
    hideAdditions: false
  })
;

$(".ui.dropdown#organization")
  .dropdown({
    allowAdditions: true,
    selectOnKeyDown: false,
    hideAdditions: false
  })
;

$('#languages')
  .dropdown()
;
</script>
{% endblock %}
